Subject: Re: bug#16518: 24.3.50; Emacs hangs

From: "Sebastien Vauban" <[email-masked]>
Date: Wed, 22 Jan 2014 17:14:15 +0100

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Date: Wed, 22 Jan 2014 09:36:37 +0100
>> 
>> Emacs just hung this morning. I don't remember exactly which particular
>> action I was doing, but that wasn't anything peculiar.
>> 
>> I've attached GDB to the Emacs process, typed "thread apply all
>> backtrace", "thread 1" and "finish" -- IIUC what I had to do...
>
> You have 2 reader threads reading from network connections -- any idea
> what connections are those and what is at the other end of those
> connections?

No, nothing more to add than "I was using Helm to select a file to
open".

> Sorry, I see nothing else of any significance here, except that it's
> some kind of deadlock.

OK, no worry.

For my information, did the backtrace meet your expectations (even if,
in this particular case, it did not help)?

Best regards,
  Seb

-- 
Sebastien Vauban